Bootstrap.js not working with React-Rails gem Rails 4

My collapsibles have stopped working. I mistakenly updated some gems and have not been able to go back to the state before this screw up, I have everything back up and working with the surprise exception of my accordions and my hamburger menu for navigation. I am running Rails 4.2, Ruby 2.1 and Bootstrap-sass 3.3. This is also affecting my bootstrap-datepicker-rails gem.

HTML

<nav class="navbar navbar-default" role="navigation">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#main-menu">
                <span class="sr-only">Toggle Navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
        </div>

        <div class="collapse navbar-collapse" id="main-menu">
            <ul class="nav navbar-nav">
                <li><%= link_to 'Prospect', '/prospect/' %></li>
                <li><%= link_to 'Current', '/current/' %></li>
                <li><%= link_to 'People', '/people/' %></li>
                <li><%= link_to 'Events', '/events/' %></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">

            </ul>
        </div>
    </nav>

Application.css

 *= require bootstrap-datepicker
 *= require bootstrap
 *= require bootstrap_extensions
 *= require flexslider
 *= require_self
 *= require style
 */

Application.js

//= require react
//= require react_ujs
//= require components
//= require jquery
//= require jquery_ujs
//= require bootstrap-datepicker
//= require turbolinks
//= require bootstrap-sprockets
//= require jquery.flexslider
//= require analytics.js
//= require d3.js
//= require_tree .

Gemfile

source 'https://rubygems.org'


# Bundle edge Rails instead: gem 'rails', github: 'rails/rails'
gem 'rails', '>= 4.2'

# Use postgresql as the database for Active Record
gem 'mysql2', '~> 0.4.10'

# Use SCSS for stylesheets
gem 'sass-rails', '~> 5.0'
gem 'bootstrap-sass', '3.3'

# Datepicker for calendar dropdown in forms
gem 'bootstrap-datepicker-rails'

# Use Uglifier as compressor for JavaScript assets
gem 'uglifier', '2.7.2'
gem 'react-rails', '~> 1.5'

# Use CoffeeScript for .js.coffee assets and views
gem 'coffee-rails'

# Use Flexslider gem for frontpage carosel.
gem 'flexslider'

# Use jquery as the JavaScript library
gem 'jquery-rails'
gem 'jquery-ui-rails'

# Turbolinks makes following links in your web application faster. 
gem 'turbolinks'

# Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
gem 'jbuilder', '~> 1.2'

# tracking/analytics service, Segment.io
gem 'analytics-ruby', '~> 2.2', '>= 2.2.7'

group :doc do
  # bundle exec rake doc:rails generates the API under doc/api.
  gem 'sdoc', require: false
end


gem 'quiet_assets', :group => :development
gem 'capistrano', '2.15.7', :group => :development
    # cap tasks to manage puma application server  for production add ", :group => :development"


# Use ActiveModel has_secure_password
gem 'bcrypt-ruby', '3.1.2'

# Lock in required capistrano gems
gem 'bundler', '1.17.3'

Bootstrap is housed in my Vendor folder both the js and css.

EDIT: I have gone in and removed from my vendor folder both the bootstrap.css and bootstrap.js files. Without the css file the app will not load without error. Without the js file, the app loads and acts as it does with the js file there.

Now that I have dug some more I had to set up React-rails to get my asset pipeline working again, and I believe this is where my issue lies. How do I get React-rails to see and use the bootstrap.js file in my vendor/assets folder?